#!/usr/bin/env php
<?php

use Analog\Analog;
use nogueiracodes\RaspberryBot\Bot\Actions\MessageLogger;
use nogueiracodes\RaspberryBot\Bot\Commands\Gimme;
use nogueiracodes\RaspberryBot\Bot\Commands\MinecraftInfo;
use nogueiracodes\RaspberryBot\Bot\Commands\NumberFact;
use nogueiracodes\RaspberryBot\Bot\Commands\SimplePlayback;
use nogueiracodes\RaspberryBot\Bot\Commands\Help;
use nogueiracodes\RaspberryBot\Core\RaspberryBot;

require 'src/Bot/init.php';

$raspberryBot = new RaspberryBot();

Analog::info('RaspberryBot v.0.1.0 ready. Loading commands and actions.');
$raspberryBot
    ->initialize()
    ->addCommand([
        new NumberFact,
        new Gimme,
        new Help
    ])
    ->addAction(new MessageLogger)
    ->setCommandPrefix($_ENV['COMMAND_PREFIX'])
    ->run();
